For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sample appsIntegrationsDiscordPlaygroundDevEx repo
GuidesSDK ReferenceAPI Reference
GuidesSDK ReferenceAPI Reference
  • TwelveLabs API
    • Introduction
    • Authentication
  • API Reference
    • Manage indexes
    • Upload content
    • Index content
    • Manage videos
    • Manage entities
    • Any-to-video search
    • Create embeddings v2
    • Create embeddings v1
    • Analyze and segment videos
      • POSTSync analysis
      • POSTCreate an async analysis task
      • GETList async analysis tasks
      • GETRetrieve analysis task status and results
      • DELDelete an analysis task
    • Error codes
LogoLogo
Sample appsIntegrationsDiscordPlaygroundDevEx repo
API ReferenceAnalyze and segment videos

List async analysis tasks

GET
https://api.twelvelabs.io/v1.3/analyze/tasks
GET
/v1.3/analyze/tasks
$curl https://api.twelvelabs.io/v1.3/analyze/tasks \
> -H "x-api-key: <apiKey>"
1{
2 "data": [
3 {
4 "task_id": "64f8d2c7e4a1b37f8a9c5d12",
5 "custom_id": "prod-segment-analysis-42",
6 "status": "ready",
7 "created_at": "2024-09-26T10:29:19.968Z",
8 "video_source": {
9 "type": "url",
10 "url": "https://example.com/video.mp4"
11 },
12 "request_params": {
13 "analysis_mode": "general",
14 "prompt": "Generate a detailed summary of",
15 "temperature": 0.2,
16 "max_tokens": 4096
17 },
18 "completed_at": "2024-09-26T10:30:45.123Z",
19 "result": {
20 "generation_id": "gen_xyz789",
21 "data": "Video Summary: This is a detailed summary of the video content...",
22 "finish_reason": "stop",
23 "usage": {
24 "output_tokens": 150,
25 "input_tokens": 45
26 }
27 }
28 }
29 ],
30 "page_info": {
31 "page": 1
32 }
33}
This method returns a list of the analysis tasks in your account. The platform returns your analysis tasks sorted by creation date, with the newest at the top of the list.
Was this page helpful?
Previous

Retrieve analysis task status and results

Next
Built with

Authentication

x-api-keystring
Your API key. <Note title="Note"> You can find your API key on the <a href="https://playground.twelvelabs.io/dashboard/api-keys" target="_blank">API Keys</a> page. </Note>

Query parameters

pageintegerOptionalDefaults to 1

A number that identifies the page to retrieve.

Default: 1.

page_limitintegerOptionalDefaults to 10

The number of items to return on each page.

Default: 10. Max: 50.

statusenumOptional

Filter analysis tasks by status. Possible values: queued, pending, processing, ready, failed.

Allowed values:
video_urlstringOptionalformat: "uri"
Filter tasks by exact video source URL.
asset_idstringOptional
Filter tasks by asset ID.
video_idstringOptionalformat: "^[0-9a-fA-F]{24}$"Deprecated

Filter tasks by video ID for pre-indexed videos (Pegasus 1.2 only). Deprecated — use asset_id instead.

analysis_modeenumOptional
Filter tasks by the analysis mode used when creating the task.
Allowed values:

Response

A list of analysis tasks.
datalist of objects

An array that contains up to page_limit analysis tasks.

page_infoobject
An object that provides information about pagination.

Errors

400
Bad Request Error

Your API key.

Note

You can find your API key on the API Keys page.